<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__wdt_8c" kind="file" language="C++">
    <compoundname>cyhal_wdt.c</compoundname>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cyhal__wdt_8h">cyhal_wdt.h</includes>
    <includes local="yes" refid="cyhal__wdt__impl_8h">cyhal_wdt_impl.h</includes>
    <includes local="yes">cy_wdt.h</includes>
    <includes local="yes">cy_utils.h</includes>
    <incdepgraph>
      <node id="453">
        <label>stdbool.h</label>
      </node>
      <node id="454">
        <label>cy_wdt.h</label>
      </node>
      <node id="452">
        <label>cyhal_wdt.c</label>
        <link refid="cyhal__wdt_8c" />
        <childnode refid="453" relation="include">
        </childnode>
        <childnode refid="454" relation="include">
        </childnode>
        <childnode refid="455" relation="include">
        </childnode>
      </node>
      <node id="455">
        <label>cy_utils.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cyhal__wdt_8c_1a300d545b12a8dfb3b187085acbc24463" kind="define" prot="public" static="no">
        <name>_cyhal_wdt_lock</name>
        <param />
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="43" column="10" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="43" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1aa6e7cf3b55f984d7256ec1e8ba7fd2f5" kind="define" prot="public" static="no">
        <name>_cyhal_wdt_unlock</name>
        <param />
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="44" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="44" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1ad87b4cacc54957033a5826196bea1eca" kind="define" prot="public" static="no">
        <name>_CYHAL_WDT_ILO_PERIOD_MS</name>
        <initializer>(1000 * (1.0 / CY_SYSCLK_ILO_FREQ))</initializer>
        <briefdescription>
<para>ILO period in milliseconds. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="48" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="48" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cyhal__wdt_8c_1a06610bbec9eeaf06d1faa5ec2ad94c01" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool</type>
        <definition>bool _cyhal_wdt_initialized</definition>
        <argsstring />
        <name>_cyhal_wdt_initialized</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="50" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="50" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1a1fad3a48dde8846098bbac1237cb71d7" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool</type>
        <definition>bool _cyhal_wdt_pdl_initialized</definition>
        <argsstring />
        <name>_cyhal_wdt_pdl_initialized</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="51" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="51" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1a8d982c3c6e8c8ccd1395b1271f03fc50" kind="variable" mutable="no" prot="public" static="yes">
        <type>uint16_t</type>
        <definition>uint16_t _cyhal_wdt_initial_timeout_ms</definition>
        <argsstring />
        <name>_cyhal_wdt_initial_timeout_ms</name>
        <initializer>= 0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="53" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="53" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1a90f8d8ee19235b1d50a15b9043267a4d" kind="variable" mutable="no" prot="public" static="yes">
        <type>uint16_t</type>
        <definition>uint16_t _cyhal_wdt_rounded_timeout_ms</definition>
        <argsstring />
        <name>_cyhal_wdt_rounded_timeout_ms</name>
        <initializer>= 0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="55" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="55" />
      </memberdef>
      <memberdef id="cyhal__wdt_8c_1a79e7d478670d9e8f0e677411e91581fc" kind="variable" mutable="no" prot="public" static="yes">
        <type>uint8_t</type>
        <definition>uint8_t _cyhal_wdt_ignore_bits</definition>
        <argsstring />
        <name>_cyhal_wdt_ignore_bits</name>
        <initializer>= 0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="56" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="56" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cyhal__wdt_8c_1a2e3a9d8e014346b10158209ac4c78e79" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>__INLINE uint32_t</type>
        <definition>static __INLINE uint32_t _cyhal_wdt_timeout_to_ignore_bits</definition>
        <argsstring>(uint32_t *timeout_ms)</argsstring>
        <name>_cyhal_wdt_timeout_to_ignore_bits</name>
        <param>
          <type>uint32_t *</type>
          <declname>timeout_ms</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="70" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="59" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__wdt_8c_1a8b6201a1b528c43323dabedc9150f0e1" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>__INLINE uint16_t</type>
        <definition>static __INLINE uint16_t _cyhal_wdt_timeout_to_match</definition>
        <argsstring>(uint16_t timeout_ms, uint16_t ignore_bits)</argsstring>
        <name>_cyhal_wdt_timeout_to_match</name>
        <param>
          <type>uint16_t</type>
          <declname>timeout_ms</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>ignore_bits</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="76" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="72" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="72" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_wdt_init</definition>
        <argsstring>(cyhal_wdt_t *obj, uint32_t timeout_ms)</argsstring>
        <name>cyhal_wdt_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout_ms</declname>
        </param>
        <briefdescription>
<para>Initialize and start the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The specified timeout must be at least 1ms and at most the WDT's maximum timeout (see &lt;a href="group__group__hal__wdt.html#group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f"&gt;cyhal_wdt_get_max_timeout_ms()&lt;/a&gt;).&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a WDT object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">timeout_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>The time in milliseconds before the WDT times out (1ms - max) (see <ref kindref="member" refid="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f">cyhal_wdt_get_max_timeout_ms()</ref>) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request</para></simplesect>
Returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref> if the operation was successfull. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="115" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="80" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="80" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga976a8b0fe8fe66f89311cfca18768b13" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_free</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Free the WDT. </para>        </briefdescription>
        <detaileddescription>
<para>Powers down the WDT. Releases object (obj). After calling this function no other WDT functions should be called except <ref kindref="member" refid="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697">cyhal_wdt_init()</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="123" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="117" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="117" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaeb43bee6a246da3eedfb5d06fbd226de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_kick</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_kick</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Resets the WDT. </para>        </briefdescription>
        <detaileddescription>
<para>This function must be called periodically to prevent the WDT from timing out and resetting the device.</para><para>See <ref kindref="member" refid="group__group__hal__wdt_1subsection_wdt_snippet1">Snippet 1: Initialize the WDT and kick periodically</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="135" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="125" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_start</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_start</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Start (enable) the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="143" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="137" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_stop</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_stop</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Stop (disable) the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the stop request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="150" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="145" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="145" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga84de4fa0ac7dbacb681e82a5df94f6d5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_wdt_get_timeout_ms</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_get_timeout_ms</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Get the WDT timeout. </para>        </briefdescription>
        <detaileddescription>
<para>Gets the configured time, in milliseconds, before the WDT times out.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The time in milliseconds before the WDT times out </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="156" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="152" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="152" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_wdt_get_max_timeout_ms</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_wdt_get_max_timeout_ms</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets the maximum WDT timeout in milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The maximum timeout for the WDT </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="158" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="158" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gae57e067322093d0170563c9609890f7c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_wdt_is_enabled</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_is_enabled</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Check if WDT is enabled. </para>        </briefdescription>
        <detaileddescription>
<para>This will return true after <ref kindref="member" refid="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260">cyhal_wdt_start</ref> is called. It will return false before the WDT is started, or after <ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref> is called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of WDT is_enabled request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="163" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" line="163" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress Watchdog Timer. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2019-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="29"><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_wdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_wdt_impl.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_wdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_utils.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(COMPONENT_PSOC6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_cyhal_wdt_lock()<sp /><sp /><sp />Cy_WDT_Lock()</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_cyhal_wdt_unlock()<sp />Cy_WDT_Unlock()</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_cyhal_wdt_lock()</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_cyhal_wdt_unlock()</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />_CYHAL_WDT_ILO_PERIOD_MS<sp />(1000<sp />*<sp />(1.0<sp />/<sp />CY_SYSCLK_ILO_FREQ))</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />_cyhal_wdt_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />_cyhal_wdt_pdl_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint16_t<sp />_cyhal_wdt_initial_timeout_ms<sp />=<sp />0;</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint16_t<sp />_cyhal_wdt_rounded_timeout_ms<sp />=<sp />0;</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />_cyhal_wdt_ignore_bits<sp />=<sp />0;</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="comment">//<sp />Rounds<sp />up<sp />*timeout_ms<sp />if<sp />it's<sp />outside<sp />of<sp />the<sp />valid<sp />timeout<sp />ranges<sp />(see<sp />above)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />__INLINE<sp />uint32_t<sp />_cyhal_wdt_timeout_to_ignore_bits(uint32_t<sp />*timeout_ms)<sp />{</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(uint32_t<sp />i<sp />=<sp />0;<sp />i<sp />&lt;=<sp />_CYHAL_WDT_MAX_IGNORE_BITS;<sp />i++)</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(*timeout_ms<sp />&gt;=<sp />_cyhal_wdt_ignore_data[i].round_threshold_ms)</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(*timeout_ms<sp />&lt;<sp />_cyhal_wdt_ignore_data[i].min_period_ms)</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*timeout_ms<sp />=<sp />_cyhal_wdt_ignore_data[i].min_period_ms;</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />i;</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_CYHAL_WDT_MAX_IGNORE_BITS;<sp /></highlight><highlight class="comment">//<sp />Should<sp />never<sp />reach<sp />this</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal">}</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />__INLINE<sp />uint16_t<sp />_cyhal_wdt_timeout_to_match(uint16_t<sp />timeout_ms,<sp />uint16_t<sp />ignore_bits)</highlight></codeline>
<codeline lineno="73"><highlight class="normal">{</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />match<sp />=<sp />(timeout_ms<sp />/<sp />_CYHAL_WDT_ILO_PERIOD_MS)<sp />-<sp />(2<sp />*<sp />2^(16<sp />-<sp />ignore_bits))</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint16_t)(timeout_ms<sp />/<sp />_CYHAL_WDT_ILO_PERIOD_MS)<sp />-<sp />(1UL<sp />&lt;&lt;<sp />(17<sp />-<sp />ignore_bits))<sp />+<sp />Cy_WDT_GetCount();</highlight></codeline>
<codeline lineno="76"><highlight class="normal">}</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="comment">/*<sp />Start<sp />API<sp />implementing<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697">cyhal_wdt_init</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj,<sp />uint32_t<sp />timeout_ms)</highlight></codeline>
<codeline lineno="81"><highlight class="normal">{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(timeout_ms<sp />==<sp />0<sp />||<sp />timeout_ms<sp />&gt;<sp />_CYHAL_WDT_MAX_TIMEOUT_MS)</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results__wdt_1gaa1a7998265af245eadda0401bd888fa2">CY_RSLT_WDT_INVALID_TIMEOUT</ref>;</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(_cyhal_wdt_initialized)</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results__wdt_1ga6ac0fb47d61bc9cfd1597f4547f20ccf">CY_RSLT_WDT_ALREADY_INITIALIZED</ref>;</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_initialized<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!_cyhal_wdt_pdl_initialized)</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_WDT_Enable();</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_WDT_MaskInterrupt();</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_wdt_pdl_initialized<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref>(obj);</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_initial_timeout_ms<sp />=<sp />timeout_ms;</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_ignore_bits<sp />=<sp />_cyhal_wdt_timeout_to_ignore_bits(&amp;timeout_ms);</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_rounded_timeout_ms<sp />=<sp />timeout_ms;</highlight></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_SetIgnoreBits(_cyhal_wdt_ignore_bits);</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_SetMatch(_cyhal_wdt_timeout_to_match(_cyhal_wdt_rounded_timeout_ms,<sp />_cyhal_wdt_ignore_bits));</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260">cyhal_wdt_start</ref>(obj);</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="115"><highlight class="normal">}</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1ga976a8b0fe8fe66f89311cfca18768b13">cyhal_wdt_free</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="118"><highlight class="normal">{</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref>(obj);</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="123"><highlight class="normal">}</highlight></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gaeb43bee6a246da3eedfb5d06fbd226de">cyhal_wdt_kick</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="126"><highlight class="normal">{</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />to<sp />prevent<sp />reset<sp />from<sp />WDT<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_ClearWatchdog();</highlight></codeline>
<codeline lineno="131"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_unlock();</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_SetMatch(_cyhal_wdt_timeout_to_match(_cyhal_wdt_rounded_timeout_ms,<sp />_cyhal_wdt_ignore_bits));</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_lock();</highlight></codeline>
<codeline lineno="135"><highlight class="normal">}</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260">cyhal_wdt_start</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="138"><highlight class="normal">{</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_unlock();</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_Enable();</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_lock();</highlight></codeline>
<codeline lineno="143"><highlight class="normal">}</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="146"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_wdt_unlock();</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_WDT_Disable();</highlight></codeline>
<codeline lineno="150"><highlight class="normal">}</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__wdt_1ga84de4fa0ac7dbacb681e82a5df94f6d5">cyhal_wdt_get_timeout_ms</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="153"><highlight class="normal">{</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cyhal_wdt_initial_timeout_ms;</highlight></codeline>
<codeline lineno="156"><highlight class="normal">}</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f">cyhal_wdt_get_max_timeout_ms</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="159"><highlight class="normal">{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_CYHAL_WDT_MAX_TIMEOUT_MS;</highlight></codeline>
<codeline lineno="161"><highlight class="normal">}</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gae57e067322093d0170563c9609890f7c">cyhal_wdt_is_enabled</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="164"><highlight class="normal">{</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />Cy_WDT_IsEnabled();</highlight></codeline>
<codeline lineno="167"><highlight class="normal">}</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal">}</highlight></codeline>
<codeline lineno="171"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" />
  </compounddef>
</doxygen>